# Interface methods for submodule: RingBuffer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: RingBuffer
class RingBufferProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfBuffers(self, n: int) -> None:
		""""""
		...

	def GetNumberOfBuffers(self) -> int:
		""""""
		...

	def MoveHead(self, offset: int) -> None:
		""""""
		...

	def MoveHeadForward(self) -> None:
		""""""
		...

	def MoveHeadBackward(self) -> None:
		""""""
		...

	def BufferIsFull(self, offset: int) -> bool:
		""""""
		...

	def GetHeadIndex(self) -> int:
		""""""
		...

	def GetBufferContents(self, offset: int):
		""""""
		...

	def SetBufferContents(self, offset: int, element) -> None:
		""""""
		...

